get
https://api.use2.usertesting.com/api/v2/sessionResults
Returns a paginated list of summaries for each completed session in a test. Each summary includes the session ID, status, and timestamps.
In the response, sessions are sorted in descending order, i.e., from newest to oldest.
Compatibility:
- All tests with the "STUDYV2" type are compatible. These include tests with the following product types:
- "SURVEY" (survey)
- "LIVE_CONVERSATION" (non-classic live conversation)
- "NON_THINK_OUT_LOUD" (interaction test)
- "THINK_OUT_LOUD" (think-out-loud test)
- Go to How to Obtain a Test ID (UUID) for details.
Best practices:
- Always use pagination query parameters (limit and offset) along with the appropriate logic to ensure all sessions are retrieved.
- Use the response data from limit, offset, and totalCount in the meta.pagination property to calculate the number of pagination iterations (API requests) needed to collect all sessions in the test.
Use case examples:
- For an example on near real-time polling, go to Stream Insights into Slack or Jira.
- For an example on how to add session summaries into an automated research data pipeline, go to Create an Automated Pipeline.
400Bad request. The offset must be between 0-10000 and limit must be between 1-500.
401Missing or invalid access token.
404Test not found.
429Too many requests. Maximum of 10 requests per minute.
